Generate a secure, time-limited signed URL for a call recording.
curl --request GET \
--url https://api.subverseai.com/api/call/signed-recording-url \
--header 'x-api-key: <api-key>'import requests
url = "https://api.subverseai.com/api/call/signed-recording-url"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.subverseai.com/api/call/signed-recording-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseCode": 200,
"message": "Signed url generated successfully!",
"data": {
"url": "https://example.com/recording.mp3?token=..."
}
}Direct Call
Get Signed URL
Generates a secure, time-limited pre-signed URL to access a call recording. The generated link is temporary to ensure data security and prevent unauthorized access. You must provide either ‘callId’ or ‘callRecordingUrl’ in the query parameters.
GET
/
call
/
signed-recording-url
Generate a secure, time-limited signed URL for a call recording.
Authorizations
Authentication header containing API key from SubVerse dashboard.
Query Parameters
Unique identifier for the call.
Example:
"12345"
A direct S3/Storage URL to a call recording.
Example:
"https://s3.amazonaws.com/bucket/recording.mp3"